{% load static %}
{% load fontawesome_5 %}
<!DOCTYPE html>
<html>
    <head>
        <meta http-equiv="content-type" content="text/html; charset=utf-8" />
        <meta name="viewport" content="width=device-width, initial-scale=1.0" />
        <link rel="stylesheet" type="text/css" href="{% static "style.css" %}" />
        <title>{% block title %}GlaxComm{% endblock %}</title>
        {% fontawesome_5_static %}
        {% block extra_head %}
        {% endblock %}
    </head>
    <body>
        {% block body %}
            <header>
                <nav class="menu">
                    <ul>
                        {% block nav %}
                            <li class="separator"></li>
                            <li><a href="{% url "login" %}">Log in</a></li>
                        {% endblock %}
                    </ul>
                </nav>
                {% if messages %}
                <ul class="messages">
                    {% for message in messages %}
                    <li{% if message.tags %} class="{{ message.tags }}"{% endif %}>
                        {% if message.level_tag == "info" %}
                            {% fa5_icon "info-circle" "fas" %}
                        {% elif message.level_tag == "error" %}
                            {% fa5_icon "exclamation-circle" "fas" %}
                        {% elif message.level_tag == "warning" %}
                            {% fa5_icon "exclamation-triangle" "fas" %}
                        {% elif message.level_tag == "success" %}
                            {% fa5_icon "check-circle" "fas" %}
                        {% elif message.level_tag == "debug" %}
                            {% fa5_icon "bug" "fas" %}
                        {% endif %}
                        {{ message }}
                    </li>
                    {% endfor %}
                </ul>
                {% endif %}
            </header>
            <main>
                {% block content %}
                {% endblock %}
            </main>
        {% endblock %}
    </body>
</html>
